# GetPauseDurationsInsideLine(Markup.MarkupParseResult)

Method in [LineView](/2.4/api/csharp/yarn.unity/yarn.unity.lineview.md)

## Summary

Creates a stack of typewriter pauses to use to temporarily halt the typewriter effect.

```csharp
public static Stack<(int position, float duration)> GetPauseDurationsInsideLine(Markup.MarkupParseResult line)
```

## Remarks

This is intended to be used in conjunction with the [PausableTypewriter(TextMeshProUGUI,float,Action,Action,Action,Stack<(int position, float duration)>,CoroutineInterruptToken)](/2.4/api/csharp/yarn.unity/yarn.unity.effects/yarn.unity.effects.pausabletypewriter.md) effect. The stack of tuples created are how the typewriter effect knows when, and for how long, to halt the effect.

The pause duration property is in milliseconds but all the effects code assumes seconds So here we will be dividing it by 1000 to make sure they interconnect correctly.

## Parameters

| Name                                                                                               | Description                             |
| -------------------------------------------------------------------------------------------------- | --------------------------------------- |
| [Yarn.Markup.MarkupParseResult](/2.4/api/csharp/yarn.markup/yarn.markup.markupparseresult.md) line | The line from which we covet the pauses |

## Returns

A stack of positions and duration pause tuples from within the line


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.4/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.getpausedurationsinsideline.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
